# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: rubber
Version: 1.4
Release: 3%{?dist}
Summary: An automated system for building LaTeX documents

Group: Applications/Publishing
License: GPL+

URL: https://launchpad.net/%{name}
Source0: https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python-devel texinfo-tex
Requires: tex(latex)

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%setup -q
for file in doc/man-fr/*; do
iconv -f ISO88591 -t utf8 $file -o $file
done

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --mandir=%{_mandir} --infodir=%{_infodir}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc COPYING NEWS README
%{_bindir}/*
%{_defaultdocdir}/%{name}/*
%{_datadir}/info/*
%{python_sitelib}/*
%{_mandir}/man1/*.gz
%{_mandir}/fr/man1/*.gz

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 20 2015 Dennis Chen <barracks510@gmail.com> - 1.4-1
- Updated to version 1.4 of rubber.

* Tue Nov 24 2015 Dennis Chen <barracks510@gmail.com> - 1.3-1
- Updated to latest version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 19 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-16
- Fix wrong Source0 URL

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 Patrick C. F. Ernzer <rubber.spec@pcfe.net> - 1.1-14
- incorporating patch from https://live.gnome.org/Gedit/LaTeXPlugin/FAQ

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-12
- Rubber is hosted in launchpad
- Removing /usr/share/rubber/modules/etex.rub fixes bz #880568

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec 28 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-7
- Adding virtual dependency on latex (bz #550792)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-5
- Patch to remove a Deprecation Warning in Python 2.6 (bz #506053)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-3
- Rebuild for Python 2.6

* Wed Sep 17 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-2
- ***

* Wed Sep 17 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 1.1-1
- Initial specfile

